--- build-pi-image.sh-orig	2012-11-30 15:34:43.317632000 +0900
+++ build-pi-image.sh	2012-11-30 19:09:23.973941862 +0900
@@ -13,6 +13,9 @@
 export MAKESYSPATH=$SRCROOT/share/mk
 export KERNCONF=RPI-B
 
+# Uncomment this if you want serial console
+#SERIALCONSOLE=YES
+
 KERNEL=`realpath $MAKEOBJDIRPREFIX`/arm.armv6/`realpath $SRCROOT`/sys/$KERNCONF/kernel
 UBLDR=`realpath $MAKEOBJDIRPREFIX`/arm.armv6/`realpath $SRCROOT`/sys/boot/arm/uboot/ubldr
 DTB=`realpath $MAKEOBJDIRPREFIX`/arm.armv6/`realpath $SRCROOT`/sys/$KERNCONF/bcm2835-rpi-b.dtb
@@ -109,6 +112,7 @@
 install_videocore
 
 echo 'fdt addr 0x100' > $MNTDIR/boot/loader.rc
+[ "$SERIALCONSOLE" = "YES" ] && echo 'set console=comconsole' >> $MNTDIR/boot/loader.rc
 
 echo '/dev/mmcsd0s2a / ufs rw,noatime 1 1' > $MNTDIR/etc/fstab
 
@@ -136,7 +140,7 @@
 ttyv5 "/usr/libexec/getty Pc" xterm on secure
 ttyv6 "/usr/libexec/getty Pc" xterm on secure
 ttyv7 "/usr/libexec/getty Pc" xterm on secure
-ttyu0 "/usr/libexec/getty 3wire.115200" dialup on secure
+ttyu0 "/usr/libexec/getty 3wire.115200" vt102 on secure
 __EOTTYS__
 
 umount $MNTDIR
